/*------------------------------------*\
  #Generic
\*------------------------------------*/
* {
	font-size: $normal_font_size;
	color: $normal_font_color;
	font-family: $normal_font_family;
	line-height: 1.6;
	box-sizing: border-box;
	letter-spacing: 1px;
}
ul {
	list-style: none;
	padding: 0;
	margin: 0;
}
a {
	text-decoration: none;
}
input {
	// padding: $input_padding;
	padding: 7px 10px;
}
th, td {
	padding: $td_padding;
}
img {
	max-width: 100%;
}
select {
	border: solid 1px #c9caca;
	border-radius: 0;
	-webkit-appearance: none;
	padding: 5px;
	background-color: #fff;
}
.wrap {
	width: $wrap_width;
	margin: 0 auto;
}
.pageCover {
	position: fixed;
	width: 100%;
	height: 100%;
	background-color: rgba(0,0,0,0.3);
	top: 0;
	left: 0;
	z-index: 8;
	display: none;
}

.eventWrap {
	position: fixed;
	top: $headerTopHeight + $headerBottomHeight + 15px;
	right: -200px;
	width: 200px;
	transition: all .5s ease-in;
	z-index: 9;
}
.eventInner {
	padding: 15px;
	position: relative;
	background-color: #fff;
	.eventTitle {
		color: $main_brown;
		text-align: center;
		letter-spacing: 3px;
		margin: 0 0 1em;
	}
	ul {
		max-height: calc(100vh - #{$headerTopHeight} - #{$headerBottomHeight} - 30px);
		overflow: auto;
	}
	li {
		margin: 0 0 30px;
		img {
			width: 100%;
		}
	}
}
.eventSwitch {
	display: block;
	position: absolute;
	width: 30px;
	height: 100px;
	top: 0;
	left: -30px;
	background: url(../images/icons/eventSwitch.png) no-repeat left center;
}

.smallHeader {
	.eventWrap {
		top: $headerBottomHeight + 15px;
	}
}

.eventOpened {
	.eventWrap {
		right: 0;
	}
	.pageCover {
		display: block;
	}
	.eventSwitch {
		background-position: -30px center;
	}
}

.accordion {
	.accordion-head {
		display: block;
		&.animating {

		}
		&.active {

		}
	}
	.accordion-content {
		opacity: 0;
		overflow: hidden;
	}
}

.innerWrap {
	margin-top: $headerTopHeight + $headerBottomHeight;
	padding-bottom: 60px;
}

.rightColumn {
	float: left;
	width: 960px;
}
.rightColumn_banner {
	img {
		width: 100%;
	}
}

.breadcrumb {
	margin: 15px 0;
	li {
		display: inline-block;
		position: relative;
		padding-right: 15px;
		&:after {
			content: '>';
			right: 0;
			top: 0;
			position: absolute;
		}
		&:last-child {
			&:after {
				display: none;
			}
		}
	}
	a {
		display: block;
		color: $mid_gray;
	}
}

.pagination {
	text-align: center;
	margin: 30px 0;
	a {
		display: inline-block;
		border: solid 1px $light_gray;
		text-align: center;
		margin: 0 2px;
		width: 25px;
		line-height: 25px;
		height: 25px;
		vertical-align: middle;
		font-size: 12px;
		&.current {
			background-color: $mid_gray;
			color: #fff;
		}
	}
}

.mfp-content {
	text-align: center;
}
.btn {
	display: inline-block;
	text-align: center;
	border: 0;
	padding: 10px 15px;
	background-color: $main_brown;
	color: #fff;
	font-size: 14px;
	line-height: 22px;
	border-radius: 5px;
}
.btnWrap {
	margin: 30px 0;
	text-align: center;
	.btn {
		// width: 120px;
		margin: 0 5px;
	}
	
}

.input_gender {
	label {
		margin: 0 0 0 10px;
	}
}

.input_birth {
	margin: 0 0 20px;
	p {
		margin: 0 0 5px;
	}
	> div {
		display: inline-block;
		width: 32.3333%;
		select {
			width: 80%;
		}
	}
}

.text_del {
	text-decoration: line-through;
	color: $mid_gray;
}
.text_red {
	color: $red !important;
}

.eventTag {
	color: $red;
	margin: 0;
	font-size: 12px;
	border: solid 1px $red;
	display: inline-block;
	padding: 0 3px;
}
.eventTag_gray {
	@extend .eventTag;
	color: $mid_gray;
	border: solid 1px $mid_gray;
}

.btn_delete {
	display: inline-block;
	width: 20px;
	height: 22px;
	background: url(../images/icons/trash.png) no-repeat center center;
}

.borderWrap {
	border: solid 1px $light_gray;
	border-radius: 10px;
	padding: 15px 25px;
	width: 1000px;
	margin: 0 auto 40px;
}

/* for bootstrap.touchspin */
.input-group {
	display: table;
	width: 70px;
	margin: 0 auto;
	.form-control {
		width: 100%;
		padding: 4px 6px;
		// line-height: 17px;
		display: table-cell;
	}
	.btn {
		background-color: #fff;
		color: $mid_gray;
		// float: left;
		display: block;
		padding: 2px 6px;
		line-height: 22px;
		position: relative;
		vertical-align: middle;
		white-space: nowrap;
		border: solid 1px $light_gray;
		border-radius: 0;
	}
}
.input-group-btn {
	display: table-cell;
	width: 1%;
	white-space: nowrap;
	position: relative;
	vertical-align: middle;
	&:first-child {
		.btn {
			margin-right: -3px;
			margin-left: 0;
		}
	}
	&:last-child {
		.btn {
			margin-left: -1px;
		}
	}
}

.smallpop {
	width: 470px;
	margin: 0 auto;
	padding: 30px 60px;
	text-align: center;
	background-color: #fff;
	position: relative;
	p {
		color: $mid_gray;
		font-size: 14px;
		&.smallpop_title {
			font-size: 24px;
			margin: 0 0 30px;
			color: $main_brown;
		}
	}
	input {
		width: 100%;
	}
	input[type="submit"] {
		width: 150px;
	}
	.input_captcha {
		margin: 30px 0;
		text-align: left;
		input {
			width: auto;
		}
		a {
			display: inline-block;
			width: 15px;
			height: 13px;
			vertical-align: middle;
			background: url(../images/icons/refresh.png) no-repeat center center;
		}
	}
	.mfp-close {
		color: #fff;
		background-color: $mid_gray;
	}
}
#sentconfirm {
	.smallpop_title {
		margin: 60px 0 30px;
		padding-left: 85px;
		background: url(../images/icons/letter.png) no-repeat 30px center;
	}
	.btn {
		width: 200px;
	}
}

.nodata {
	text-align: center;
	margin: 60px 0;
	font-size: 16px;
	color: $mid_gray;
}
